package no.valg.valgnatt.database.forberedvalg.konvertering;

import lombok.NoArgsConstructor;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

@NoArgsConstructor
public class Brudd {
    private Map<Integer, Set<String>> map = new HashMap<>();

    public void add(int år, String kommunenr) {
        map.computeIfAbsent(år, k -> new HashSet<>()).add(kommunenr);
    }
    
    Set<String> getKommuner(int år){
        return map.computeIfAbsent(år, k -> new HashSet<>());
    }
}
